# ProfileLookupOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- ProfileLookupOptions

## Index

### Properties

- network
- username
- zoneFileLookupURL

## Properties

### Optional network

network: StacksNetwork

- Defined in packages/auth/src/profile.ts:8

### username

username: string

- Defined in packages/auth/src/profile.ts:6

### Optional zoneFileLookupURL

zoneFileLookupURL: undefined | string

- Defined in packages/auth/src/profile.ts:7

Generated using TypeDoc